#!/usr/bin/python
# coding: UTF-8
# Rec10 TS Recording Tools
# Copyright (C) 2009 Yukikaze
import sqlite3

import os
#CS放送では複数のチャンネルを指定する必要があるためチャンネル名をテキストデータで持っておき(chtxt)、必要に応じて変換する
#ontvはepgデータなどで指定されている名前
#ここの設定は愛知県の設定(+CS放送スカパーe2)
dbpath = str(os.path.dirname(os.path.abspath(__file__))) + "/" + "ch.db"
#db=sqlite3.connect(dbpath)
db = sqlite3.connect(dbpath)
try:

    db.execute('drop table chdata')
    db.commit()
except:
    test = ""

try:
    db.execute('create table chdata (bctype TEXT,ontv TEXT,chtxt TEXT,ch TEXT,csch TEXT,station TEXT,updatetime TEXT)')
except:
    ""
db.commit()

#except:
#   print "テーブル作成に失敗しました"
#   db.commit()
#db.commit()
db.close()
def chadd(bctype, ontv, chtxt, ch, csch,station):#すべて文字列
    """
    ChannelDBに指定したデータを追加する
    bctype:放送種別,bs/cs/te10などが入る。
    番組表データがbs,csは一括でとれるためbs,cs内で区別はなし
    te(地上波)は各チャンネルごとに設定する必要があるためteに
    チャンネルの数字を足したものにする
    """
    db = sqlite3.connect(dbpath)
    value = "(\'" + bctype + "\',\'" + ontv + "\',\'" + chtxt + "\',\'" + ch + "\',\'" + csch + "\',\'" +station+ "\',datetime(\'2009-04-01 00:00:00\'))"
    print value
    value = unicode(value)
    db.execute('insert into chdata values ' + value)
    db.commit()
    db.close()
#db.commit
chadd('cs', '1204.ontvjapan.com', 'natiogeo', 'CS6', '343','CSDT343')
chadd('cs', '1070.ontvjapan.com', 'bbc', 'CS12', '353','CSDT353')
chadd('cs', '1069.ontvjapan.com', 'cnn', 'CS12', '354','CSDT354')
chadd('cs', '1045.ontvjapan.com', 'kids', 'CS22', '330','CSDT330')
chadd('cs', '1007.ontvjapan.com', 'movieplus', 'CS18', '240','CSDT240')
chadd('cs', '1016.ontvjapan.com', 'fox', 'CS4', '312','CSDT312')
chadd('cs', '1014.ontvjapan.com', 'axn', 'CS6', '311','CSDT311')
chadd('cs', '1201.ontvjapan.com', 'atx', 'CS16', '333','CSDT333')
chadd('cs', '1050.ontvjapan.com', 'hisch', 'CS16', '342','CSDT342')
chadd('cs', '1047.ontvjapan.com', 'animax', 'CS20', '332','CSDT332')
chadd('cs', '1062.ontvjapan.com', 'disch', 'CS20', '340','CSDT340')
chadd('cs', '1193.ontvjapan.com', 'anipla', 'CS20', '341','CSDT341')
chadd('cs', '1008.ontvjapan.com', 'neco', 'CS6', '223','CSDT223')
chadd('cs', '1015.ontvjapan.com', 'family', 'CS22', '293','CSDT293')

chadd('cs', '1009.ontvjapan.com', 'yo-ga', 'CS6', '224','CSDT224')
chadd('cs2', '1217.ontvjapan.com', 'thecinema', 'CS10', '228','CSDT228')
chadd('cs2', '1086.ontvjapan.com', 'nihoneiga', 'CS2', '239','CSDT239')

#chadd('cs', '1015.ontvjapan.com', 'fuji-one', 'CS22', '293')
#chadd('cs', '1015.ontvjapan.com', 'fuji-two', 'CS22', '293')
chadd('te13', '0442.ontvjapan.com', 'nhk-k', '13', '0','DFS00C08')
chadd('te20', '0432.ontvjapan.com', 'nhk-s', '20', '0','DFS08400')
chadd('te22', '0404.ontvjapan.com', 'me-tere', '22', '0','DFS00C20')
chadd('te18', '0405.ontvjapan.com', 'cbc', '18', '0','DFS00C18')
chadd('te21', '0406.ontvjapan.com', 'toukai', '21', '0','DFS00C10')
chadd('te19', '0407.ontvjapan.com', 'chukyo', '19', '0','DFS00C28')
chadd('te23', '0420.ontvjapan.com', 'aichi', '23', '0','DFS08430')
chadd('bs', '3001.ontvjapan.com', 'bs-nhk-1', '101', '0','BSDT101')
chadd('bs', '3002.ontvjapan.com', 'bs-nhk-2', '102', '0','BSDT102')
chadd('bs', '3003.ontvjapan.com', 'bs-nhk-hi', '103', '0','BSDT103')
chadd('bs', '3004.ontvjapan.com', 'bs-nittere', '141', '0','BSDT141')
chadd('bs', '3005.ontvjapan.com', 'bs-asahi', '151', '0','BSDT151')
chadd('bs', '3006.ontvjapan.com', 'bs-tbs', '161', '0','BSDT161')
chadd('bs', '3007.ontvjapan.com', 'bs-japan', '171', '0','BSDT171')
chadd('bs', '3008.ontvjapan.com', 'bs-fuji', '181', '0','BSDT181')
chadd('bs', '3013.ontvjapan.com', 'bs-11', '211', '0','BSDT211')

